## up-imapproxy 1.2.7

=== debian/changelog ===
up-imapproxy (1.2.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install native systemd unit (Closes: #720606)
  * Disable start of service during postinst, as the upstream imapd
    may not be available (or even on localhost). (Closes: #829310)
  * Remove remains of quilt, source format is 3.0 (quilt) already
    and all patches were applied upstream.
  * Enable hardening build flags.
  * Replace dh_clean -k with dh_prep.
  * Remove unused lintian override.

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 16:22:31 +0200

up-imapproxy (1.2.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #628222
    - Dutch; (Jeroen Schot).  Closes: #656624
    - Polish (Michał Kułach).  Closes: #658741

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Feb 2012 07:22:23 +0100

up-imapproxy (1.2.7-1) unstable; urgency=low

  * New upstream version (identical to previous)

  * Packaging
    - update to S-V 3.8.4 with no changes
    - fix last lintian warnings

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 21 Feb 2010 14:01:09 +0100

up-imapproxy (1.2.7~rc3-2) unstable; urgency=low

  * Fix pending l10n issues. Integrate patch from Christian Perrier
     Debconf translations (Closes: #536742)
     - Spanish (Francisco Javier Cuadrado).  Closes: #536742
     - Russian (Yuri Kozlov).  Closes: #543195
     - Italian (Vincenzo Campanella).  Closes: #569130
     - Slovak (Ivan Masar). Closes: #570285

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat, 20 Feb 2010 15:04:17 +0100

up-imapproxy (1.2.7~rc3-1) unstable; urgency=high

  * New upstream version

  * Upgraded packaging
    - Converted to "source format 3.0 (quilt)"
    - Upgrade to S-V 3.8.3 with no changes

  * Wait for IMAP server to become available on startup (Closes: #517331)
    - Based on a suggestion by Roman Medina-Heigl

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 16 Oct 2009 00:41:32 +0200

up-imapproxy (1.2.6-5) unstable; urgency=high

  * Don't overwrite the config file on upgrades. (Closes: #510432)
    - Urgency=high since we are fixing an RC after the freeze
    - Included patch from Niko Tyni. Many thanks!!
    - Now depends on ucf (>= 0.28)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  6 Feb 2009 21:27:19 +0100

up-imapproxy (1.2.6-4) unstable; urgency=medium

  * 'postinst' script: configuration file processing
    - Fix typo which would truncate existing config file (Closes: #487761)

  * Packaging enhancement: remove all files created during installation
    (postinst), but leave alone any user-created files unless purging

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed, 25 Jun 2008 02:18:37 +0200

up-imapproxy (1.2.6-3) unstable; urgency=low

  * postinst script: configuration file processing
    - PERL 5.10 introduces an incompatibility affecting cfg file creation
    - Updated the relevant script to work properly under this version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 22 Jun 2008 23:03:20 +0200

up-imapproxy (1.2.6-2) unstable; urgency=low

  * Packaging
    - Updated to Standards-Version 3.8.0 with no changes: 
        Homepage control field was already there
        we unfortunately do not support "parallel=<n>" builds.
    - Minor fix to debian/rules to clean stale 'stamp-h' file

  * Configuration
    - Changed local listen port when configured to bind to localhost
      (default) -- fixes new behaviour in 1.2.5 (Closes: #470431)
    - By default, copy etc/localtime to chroot directory (Closes: #436555)

  * Licensing et al.
    - Updated debian/copyright wrt OpenSSL exception (Closes: #400454)
      Upstream has been requested to document it themselves.

  * Localization
    - Included russian translation (ru.po) (Closes: #452298)
    - Re-included portuguese translation, which got misplaced sometime
      after 1.2.4-5 (Closes: #452298)
    - Galician (Closes: #485488)
    - Vietnamese (Closes: #485743)
    - Basque [euskera] (Closes: #486161)
    - Turkish (Closes: #486533)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 17 Jun 2008 00:59:55 +0200

up-imapproxy (1.2.6-1) unstable; urgency=low

  * New upstream version
    - Upstream included all debian-specific patches

  * Build process
    - Updated to Standards-Version 3.7.3
    - Updated build dependencies
    - "As needed" linking

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon,  4 Feb 2008 23:49:37 +0100

up-imapproxy (1.2.4-10.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Changed libwrap-dev Build-Dep to libwrap0-dev. (Closes: #436314)
  * Add dutch po-debconf translation. Thanks to Bart Cornelis.
    (Closes: #421838)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 25 Aug 2007 07:37:38 +0200

up-imapproxy (1.2.5-1) unstable; urgency=low

  * New upstream version
    - Acknowledge NMU (thanks, Jeroen)
    - Resync'd with upstream

  * Major debian-specific patches ; already sent upstream for inclusion
    - IPv6 support (Closes: #370022)
    - Proper pidfile handling (Closes: #416156)
  
  * Fixed improper dependency on non-essential debconf in {pre,post}inst
  * Fixed build dependency on libwrap-dev (libwrap0-dev does not provide it
    anymore)

  * localization
    - NL (Closes: #421838)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 19 Mar 2007 19:42:46 +0100

up-imapproxy (1.2.4-10.1) unstable; urgency=high

  * NMU to fix RC bug

  [ Jose Luis Tallon ]
  * Re-starting imapproxy failed when it was already running.
    - Fixed imapproxy to write a pidfile itself
    Start-stop-daemon can now interact with it properly (Closes: #415954)

  [ Jeroen van Wolffelaar ]
  * Document -p in manpage
  * Patch cleanup
  * Add code to initscript to not attempt to start a second version if already
    running, and to not fail if imapproxy is no longer running (also #415954)


