=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall


configure: config.status

config.status:
	dh_testdir
	test -e config.sub -a -L config.sub || \
		ln -sf /usr/share/misc/config.sub config.sub
	test -e config.guess -a -L config.guess || \
		ln -sf /usr/share/misc/config.guess config.guess

	./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-openssl=/usr/include/openssl \
		--with-libwrap
	touch $@	

build: debian/po/templates.pot build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

distclean:
	$(RM) config.cache config.sub config.guess config.log

clean:
	dh_testdir
	dh_testroot
	$(RM) config.status build-stamp
	[ -f Makefile ] && $(MAKE) distclean || true
	$(RM) config.cache config.sub config.guess config.log	
	dh_clean
	$(RM) -r debian/imapproxy
	$(RM) stamp-h

debian/po/templates.pot: debian/templates
	@debconf-updatepo

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/imapproxy/usr
	mv debian/imapproxy/usr/sbin/in.imapproxyd \
		debian/imapproxy/usr/sbin/imapproxyd

	# prepare the default configuration file
	perl debian/prepare-config-file < scripts/imapproxy.conf \
		> debian/imapproxy/usr/share/imapproxy/imapproxy.conf.default

	dh_installexamples
	chmod 644 $(CURDIR)/debian/imapproxy/usr/share/doc/imapproxy/examples/imapproxy.conf




# Build architecture-independent files here.
binary-indep: build install
	# We have nothing to do.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
	dh_systemd_enable
	dh_installinit --no-start -- defaults 98
	dh_systemd_start --no-start
#	dh_installcron
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -Ximapproxy.conf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
