## up-imapproxy 1.2.8~svn20161210

=== debian/changelog ===
up-imapproxy (1.2.8~svn20161210-2+deb9u1) stretch; urgency=medium

  * Correct the service file.
    Thanks to Marc Dequènes (Duck) (Closes: 868150)
  * Move the pidfile to /run

 -- Richard Laager <rlaager@wiktel.com>  Mon, 07 Aug 2017 23:58:28 -0500

up-imapproxy (1.2.8~svn20161210-2) unstable; urgency=medium

  [ Jose Luis Tallon ]
  * New maintainer (Closes: 838071)

  [ Adriano Rafael Gomes ]
  * Add pt_BR debconf translation (Closes: 770364)

  [ Richard Laager ]
  * Fix fuzzy pt_BR debconf translation
  * Cleanup package maintainer scripts
  * Suppress errors from rmdir in prerm
  * Lookup the chroot_directory for localtime code
  * Handle lack of /etc/localtime (Closes: 848004)
  * Handle changed /etc/localtime

 -- Richard Laager <rlaager@wiktel.com>  Tue, 13 Dec 2016 18:44:17 -0600

up-imapproxy (1.2.8~svn20161210-1) unstable; urgency=medium

  [ Peter Eisentraut ]
  * status support (Closes: 526673)

  [ Richard Laager ]
  * New co-maintainer (Closes: 838071)
  * Import packaging into git
  * Update watch file for SquirrelMail adoption
  * Update to debhelper 9
  * Add build-arch and build-indep targets
  * Update Standards-Version to 3.9.8 (no changes)
  * Standardize the name as IMAP Proxy / imapproxy
  * Tweak the package description
  * Import all changes to-date from SVN (Closes: 728557, 834591, 836122)
    (LP: 1614062)
  * Make the pimpstat.8 man page useful (Closes: 518928)
  * Start after IMAP daemons (if installed) (Closes: 738882)
  * Fix many compiler warnings
  * Fix building on OpenSSL 1.1 (Closes: 828586)
  * Remove some useless FAQ items
  * Cleanup the README situation
  * Cleanup comments in imapproxy.conf
  * Fix a spelling error
  * Verify GPG signatures in debian/watch
  * Add tony mancill as an uploader

 -- Richard Laager <rlaager@wiktel.com>  Sat, 10 Dec 2016 13:52:07 -0600
