## up-imapproxy 1.2.8~svn20171105

=== debian/changelog ===
up-imapproxy (1.2.8~svn20171105-2) unstable; urgency=medium

  * Move from GitHub to Salsa
  * Set Rules-Requires-Root: no
  * Run wrap-and-sort -at
  * Convert to machine-readable debian/copyright
  * Add upstream metadata
  * Use Standard-Version 4.4.1 and modern debian/rules
  * Switch to debhelper-compat 12
  * Convert debian/prepare-config-file to a patch
  * Make debian/upstream/signing-key.asc minimal

 -- Richard Laager <rlaager@wiktel.com>  Sun, 12 Jan 2020 21:22:54 -0600

up-imapproxy (1.2.8~svn20171105-1) unstable; urgency=medium

  * Imported Upstream version 1.2.8~svn20171105
  * Drop upstreamed changes
  * Bump Standards-Version to 4.1.1 (no changes)
  * Update to debhelper 10
  * Run wrap-and-sort

 -- Richard Laager <rlaager@wiktel.com>  Sun, 05 Nov 2017 02:20:25 -0600

up-imapproxy (1.2.8~svn20161210-3) unstable; urgency=medium

  * Correct the service file.
    Thanks to Marc Dequènes (Duck) (Closes: 868150)
  * Move the pidfile to /run

 -- Richard Laager <rlaager@wiktel.com>  Thu, 13 Jul 2017 21:02:35 -0500
