=== debian/watch ===
version=3
opts="pgpsigurlmangle=s%$%.sig%" \
  http://sf.net/squirrelmail/squirrelmail-imap_proxy-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
